Subject: Re: bug#26126: 26.0.50; file-notify-rm-watch removes arbitrary watches

From: Andreas Politz <[email-masked]>
Date: Fri, 17 Mar 2017 15:59:19 +0100

Michael Albinus <[email-masked]> writes:

> With the returned descriptors, it cannot be decided which watch has to
> be removed, because both descriptors are equal. So we could decide
> either to remove all watches for a given file if such a descriptor is
> passed to `file-notify-rm-watch', or we must adapt
> `file-notify-add-watch' to return different descriptors. I'm undecided
> yet.

Surely, we want the ability of two or more different packages being able
to watch the same file, without interfering with each other.  Why are
you undecided ?

I could try and find a solution, if you don't have time or anything.

-ap